# You can use a Docker image from Docker Hub or your own container
# registry for your build environment.
image: python:2.7

pipelines:
  default:
    - step:
        script: # Modify the commands below to build your repository.
          - apt-get update
          - apt-get install -y apt-transport-https
          - curl -s https://deb.nodesource.com/gpgkey/nodesource.gpg.key | apt-key add -
          - echo 'deb https://deb.nodesource.com/node_5.x jessie main' > /etc/apt/sources.list.d/nodesource.list
          - echo 'deb-src https://deb.nodesource.com/node_5.x jessie main' >> /etc/apt/sources.list.d/nodesource.list
          - apt-get update
          - apt-get install -y nodejs
          - apt-get install -y couchdb
          - pip install -r requirements-dev.txt
          - npm install -g coffeescript karma-cli browserify
          - npm install
          - inv test.all
